Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Class DoubleValue

    java.lang.Object
      |
      +--com.solarmetric.conf.Value
            |
            +--com.solarmetric.conf.DoubleValue

All Implemented Interfaces:
  Cloneable

public class DoubleValue
extends Value

A double `Value`.

Constructor Summary
`DoubleValue(String prop)`

Method Summary
`double` | `get()` The internal value.
`protected String` | `getInternalString()` Return the internal string form of this value.
`Class` | `getValueType()` Returns the type of the property that this Value represents.
`void` | `set(double value)` The internal value.
`protected void` | `setInternalString(String val)` Set this value from the given string.

Methods inherited from class com.solarmetric.conf.Value
`addAlias, alias, clone, equals, getAliases, getDefault, getListener, getProperty, getString, hashCode, isAliasListComprehensive, setAliases, setAliasListComprehensive, setDefault, setListener, setProperty, setString, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleValue

    public DoubleValue(String prop)

Method Detail

### getValueType

    public Class getValueType()

  Description copied from class: `Value`
  Returns the type of the property that this Value represents.
  Overrides:
    `getValueType` in class `Value`

### set

    public void set(double value)

  The internal value.

### get

    public double get()

  The internal value.

### getInternalString

    protected String getInternalString()

  Description copied from class: `Value`
  Return the internal string form of this value.
  Overrides:
    `getInternalString` in class `Value`

### setInternalString

    protected void setInternalString(String val)

  Description copied from class: `Value`
  Set this value from the given string.
  Overrides:
    `setInternalString` in class `Value`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.